Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgroups.protocols
Class PingData

    java.lang.Object
      org.jgroups.protocols.PingData

All Implemented Interfaces:
  Streamable

    public class PingData

extends java.lang.Object
implements Streamable

Encapsulates information about a cluster node, e.g. local address, coordinator's address, logical name and physical address(es)

Author:
  Bela Ban

Constructor Summary
`PingData()`
`PingData(Address own_addr, View view, boolean is_server)`
`PingData(Address own_addr, View view, boolean is_server, java.lang.String logical_name, java.util.Collection<PhysicalAddress> physical_addrs)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`Address` | `getAddress()`
`Address` | `getCoordAddress()`
`java.lang.String` | `getLogicalName()`
`java.util.Collection<Address>` | `getMembers()`
`java.util.Collection<PhysicalAddress>` | `getPhysicalAddrs()`
`View` | `getView()`
`boolean` | `hasCoord()`
`int` | `hashCode()`
`boolean` | `isCoord()`
`boolean` | `isServer()`
`void` | `readFrom(java.io.DataInputStream instream)` Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed
`void` | `setView(View view)`
`int` | `size()`
`java.lang.String` | `toString()`
`void` | `writeTo(java.io.DataOutputStream outstream)` Write the entire state of the current object (including superclasses) to outstream.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PingData

    public PingData()

### PingData

    public PingData(Address own_addr,
                    View view,
                    boolean is_server)

### PingData

    public PingData(Address own_addr,
                    View view,
                    boolean is_server,
                    java.lang.String logical_name,
                    java.util.Collection<PhysicalAddress> physical_addrs)

Method Detail

### isCoord

    public boolean isCoord()

### hasCoord

    public boolean hasCoord()

### getAddress

    public Address getAddress()

### getCoordAddress

    public Address getCoordAddress()

### getMembers

    public java.util.Collection<Address> getMembers()

### getView

    public View getView()

### setView

    public void setView(View view)

### isServer

    public boolean isServer()

### getLogicalName

    public java.lang.String getLogicalName()

### getPhysicalAddrs

    public java.util.Collection<PhysicalAddress> getPhysicalAddrs()

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### writeTo

    public void writeTo(java.io.DataOutputStream outstream)
                 throws java.io.IOException

  Description copied from interface: `Streamable`
  Write the entire state of the current object (including superclasses) to outstream. Note that the output stream must not be closed

  Specified by:
    `writeTo` in interface `Streamable`
  Throws:
    `java.io.IOException`

### readFrom

    public void readFrom(java.io.DataInputStream instream)
                  throws java.io.IOException,
                         java.lang.IllegalAccessException,
                         java.lang.InstantiationException

  Description copied from interface: `Streamable`
  Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed

  Specified by:
    `readFrom` in interface `Streamable`
  Throws:
    `java.io.IOException`
    `java.lang.IllegalAccessException`
    `java.lang.InstantiationException`

### size

    public int size()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.